─ RetroArch-1.7.1/frontend/drivers/platform_xdk.c
@@ -115,14 +115,27 @@
          g_defaults.dirs[DEFAULT_DIR_CORE],
          "system",
          sizeof(g_defaults.dirs[DEFAULT_DIR_SYSTEM]));
    fill_pathname_join(g_defaults.dirs[DEFAULT_DIR_SCREENSHOT],
          g_defaults.dirs[DEFAULT_DIR_CORE],
          "screenshots",
          sizeof(g_defaults.dirs[DEFAULT_DIR_SCREENSHOT]));
+   fill_pathname_join(g_defaults.dirs[DEFAULT_DIR_OVERLAY],
+         g_defaults.dirs[DEFAULT_DIR_CORE],
+         "overlays",
+         sizeof(g_defaults.dirs[DEFAULT_DIR_OVERLAY]));
+   fill_pathname_join(g_defaults.dirs[DEFAULT_DIR_ASSETS],
+         g_defaults.dirs[DEFAULT_DIR_CORE],
+         "media", sizeof(g_defaults.dirs[DEFAULT_DIR_ASSETS]));
+   fill_pathname_join(g_defaults.dirs[DEFAULT_DIR_CORE_ASSETS],
+         g_defaults.dirs[DEFAULT_DIR_CORE],
+         "downloads", sizeof(g_defaults.dirs[DEFAULT_DIR_CORE_ASSETS]));
+   fill_pathname_join(g_defaults.dirs[DEFAULT_DIR_PLAYLIST],
+         g_defaults.dirs[DEFAULT_DIR_CORE],
+         "playlists", sizeof(g_defaults.dirs[DEFAULT_DIR_PLAYLIST]));
 #elif defined(_XBOX360)
    strlcpy(g_defaults.dirs[DEFAULT_DIR_CORE],
          "game:",
          sizeof(g_defaults.dirs[DEFAULT_DIR_CORE]));
    strlcpy(g_defaults.path.config,
          "game:\\retroarch.cfg", sizeof(g_defaults.path.config));
    strlcpy(g_defaults.dirs[DEFAULT_DIR_SCREENSHOT],
─ RetroArch-1.7.1/gfx/drivers_tracker/video_state_python.c
@@ -124,15 +124,15 @@
    if (user > MAX_USERS || user < 1 || key >= RARCH_FIRST_META_KEY)
       return NULL;
 
    joypad_info.joy_idx    = settings->uints.input_joypad_map[user - 1];
    joypad_info.auto_binds = input_autoconf_binds[joypad_info.joy_idx];
 
    if (!input_driver_is_libretro_input_blocked())
-      res = current_input->input_state(current_input_data, joypad_info,
+      res = input_driver_input_state(joypad_info,
             py_binds,
             user - 1, RETRO_DEVICE_JOYPAD, 0, key);
    return PyBool_FromLong(res);
 }
 
 static PyObject *py_read_analog(PyObject *self, PyObject *args)
 {
@@ -152,15 +152,15 @@
 
    if (user > MAX_USERS || user < 1 || index > 1 || id > 1)
       return NULL;
 
    joypad_info.joy_idx    = settings->uints.input_joypad_map[user - 1];
    joypad_info.auto_binds = input_autoconf_binds[joypad_info.joy_idx];
 
-   res = current_input->input_state(current_input_data,
+   res = input_driver_input_state(
          joypad_info, py_binds,
          user - 1, RETRO_DEVICE_ANALOG, index, id);
    return PyFloat_FromDouble((double)res / 0x7fff);
 }
 
 static PyMethodDef RarchMethods[] = {
    { "read_wram",    py_read_wram,   METH_VARARGS, "Read WRAM from system." },
─ RetroArch-1.7.1/input/input_driver.c
@@ -1031,14 +1031,26 @@
                   RETRO_DEVICE_KEYBOARD, 0, ids[i][0]))
             BIT256_SET_PTR(p_new_state, ids[i][1]);
       }
    }
 }
 #endif
 
+int16_t input_driver_input_state(
+         rarch_joypad_info_t joypad_info,
+         const struct retro_keybind **retro_keybinds,
+         unsigned port, unsigned device, unsigned index, unsigned id)
+{
+   if (current_input && current_input->input_state)
+      return current_input->input_state(current_input_data, joypad_info,
+            retro_keybinds,
+            port, device, index, id);
+   return 0;
+}
+
 /**
  * input_keys_pressed:
  *
  * Grab an input sample for this frame.
  *
  * Returns: Input sample containing a mask of all pressed keys.
  */
─ RetroArch-1.7.1/input/input_driver.h
@@ -403,14 +403,19 @@
 
 bool input_driver_init_mapper(void);
 
 bool input_driver_grab_mouse(void);
 
 bool input_driver_ungrab_mouse(void);
 
+int16_t input_driver_input_state(
+         rarch_joypad_info_t joypad_info,
+         const struct retro_keybind **retro_keybinds,
+         unsigned port, unsigned device, unsigned index, unsigned id);
+
 float *input_driver_get_float(enum input_action action);
 
 unsigned *input_driver_get_uint(enum input_action action);
 
 bool input_driver_is_data_ptr_same(void *data);
 
 /**
─ RetroArch-1.7.1/pkg/ctr/Makefile.cores
@@ -1,270 +1,277 @@
+ifeq ($(LIBRETRO), 2048)
+	APP_TITLE            = 2048 Libretro
+	APP_PRODUCT_CODE     = RARCH-2048
+	APP_UNIQUE_ID        = 0xBAC0B
+	APP_ICON             = pkg/ctr/assets/2048.png
+	APP_BANNER           = pkg/ctr/assets/2048_banner.png
 
-ifeq ($(LIBRETRO), gambatte)
-	APP_TITLE           = Gambatte Libretro
-	APP_PRODUCT_CODE    = RARCH-GAMBATTE
-	APP_UNIQUE_ID       = 0xBAC01
-	APP_ICON            = pkg/ctr/assets/gambatte.png
-	APP_BANNER          = pkg/ctr/assets/gambatte_banner.png
+else ifeq ($(LIBRETRO), 81)
+	APP_TITLE            = lr-81
+	APP_AUTHOR           = various
+	APP_PRODUCT_CODE     = RARCH-81
+	APP_UNIQUE_ID        = 0xBAC1E
+	APP_ICON             = pkg/ctr/assets/81.png
+	APP_BANNER           = pkg/ctr/assets/81_banner.png
 
-else ifeq ($(LIBRETRO), gpsp)
-	APP_TITLE           = gpSP Libretro
-	APP_PRODUCT_CODE    = RARCH-GPSP
-	APP_UNIQUE_ID       = 0xBAC02
-	APP_ICON            = pkg/ctr/assets/gpsp.png
-	APP_BANNER          = pkg/ctr/assets/gpsp_banner.png
-	APP_USE_SVCHAX      = 1
+else ifeq ($(LIBRETRO), dosbox)
+	APP_TITLE            = DosBox
+	APP_AUTHOR           = various
+	APP_PRODUCT_CODE     = RARCH-DOSBOX
+	APP_UNIQUE_ID        = 0xBAC1B
+	APP_ICON             = pkg/ctr/assets/dosbox.png
+	APP_BANNER           = pkg/ctr/assets/dosbox_banner.png
+
+else ifeq ($(LIBRETRO), fbalpha2012)
+	APP_TITLE            = Final Burn Alpha 2012
+	APP_AUTHOR           = Team FB Alpha
+	APP_PRODUCT_CODE     = RARCH-FBA
+	APP_UNIQUE_ID        = 0xBAC17
+	APP_BIG_TEXT_SECTION = 1
+	APP_ICON             = pkg/ctr/assets/fbalpha2012.png
+	APP_BANNER           = pkg/ctr/assets/fbalpha2012_banner.png
+
+else ifeq ($(LIBRETRO), fbalpha2012_neogeo)
+	APP_TITLE            = Final Burn Alpha 2012 - NeoGeo
+	APP_AUTHOR           = Team FB Alpha
+	APP_PRODUCT_CODE     = RARCH-FBANEOGEO
+	APP_UNIQUE_ID        = 0xBAC10
+	APP_ICON             = pkg/ctr/assets/fbalpha2012_neogeo.png
+	APP_BANNER           = pkg/ctr/assets/fbalpha2012_neogeo_banner.png
+	APP_SYSTEM_MODE      = 80MB
+
+else ifeq ($(LIBRETRO), fbalpha2012_cps1)
+	APP_TITLE            = Final Burn Alpha 2012 - CPS-1
+	APP_AUTHOR           = Team FB Alpha
+	APP_PRODUCT_CODE     = RARCH-FBACPS1
+	APP_UNIQUE_ID        = 0xBAC11
+	APP_ICON             = pkg/ctr/assets/fbalpha2012_cps1.png
+	APP_BANNER           = pkg/ctr/assets/fbalpha2012_cps1_banner.png
+
+else ifeq ($(LIBRETRO), fbalpha2012_cps2)
+	APP_TITLE            = Final Burn Alpha 2012 - CPS-2
+	APP_AUTHOR           = Team FB Alpha
+	APP_PRODUCT_CODE     = RARCH-FBACPS2
+	APP_UNIQUE_ID        = 0xBAC12
+	APP_ICON             = pkg/ctr/assets/fbalpha2012_cps2.png
+	APP_BANNER           = pkg/ctr/assets/fbalpha2012_cps2_banner.png
+	APP_SYSTEM_MODE      = 80MB
 
 else ifeq ($(LIBRETRO), fceumm)
-	APP_TITLE           = FCeumm Libretro
-	APP_PRODUCT_CODE    = RARCH-FCEUMM
-	APP_UNIQUE_ID       = 0xBAC03
-	APP_ICON            = pkg/ctr/assets/fceumm.png
-	APP_BANNER          = pkg/ctr/assets/fceumm_banner.png
+	APP_TITLE            = FCeumm Libretro
+	APP_PRODUCT_CODE     = RARCH-FCEUMM
+	APP_UNIQUE_ID        = 0xBAC03
+	APP_ICON             = pkg/ctr/assets/fceumm.png
+	APP_BANNER           = pkg/ctr/assets/fceumm_banner.png
 
-else ifeq ($(LIBRETRO), nestopia)
-	APP_TITLE           = Nestopia Libretro
-	APP_PRODUCT_CODE    = RARCH-NESTOPIA
-	APP_UNIQUE_ID       = 0xBAC04
-	APP_ICON            = pkg/ctr/assets/nestopia.png
-	APP_BANNER          = pkg/ctr/assets/nestopia_banner.png
+else ifeq ($(LIBRETRO), fmsx)
+	APP_TITLE            = fMSX
+	APP_AUTHOR           = Marat Fayzullin
+	APP_PRODUCT_CODE     = RARCH-FMSX
+	APP_UNIQUE_ID        = 0xBAC16
+	APP_ICON             = pkg/ctr/assets/fmsx.png
+	APP_BANNER           = pkg/ctr/assets/fmsx_banner.png
+
+else ifeq ($(LIBRETRO), freeintv)
+	APP_TITLE            = FreeIntv
+	APP_AUTHOR           = various
+	APP_PRODUCT_CODE     = RARCH-FREEINTV
+	APP_UNIQUE_ID        = 0xBAC1G
+	APP_ICON             = pkg/ctr/assets/default.png
+	APP_BANNER           = pkg/ctr/assets/libretro_banner.png
 
-else ifeq ($(LIBRETRO), nxengine)
-	APP_TITLE           = NXengine Libretro
-	APP_PRODUCT_CODE    = RARCH-NXENGINE
-	APP_UNIQUE_ID       = 0xBAC05
-	APP_ICON            = pkg/ctr/assets/nxengine.png
-	APP_BANNER          = pkg/ctr/assets/nxengine_banner.png
+else ifeq ($(LIBRETRO), fuse)
+	APP_TITLE            = Fuse
+	APP_AUTHOR           = various
+	APP_PRODUCT_CODE     = RARCH-FUSE
+	APP_UNIQUE_ID        = 0xBAC1F
+	APP_ICON             = pkg/ctr/assets/fuse.png
+	APP_BANNER           = pkg/ctr/assets/fuse_banner.png
+
+else ifeq ($(LIBRETRO), gambatte)
+	APP_TITLE            = Gambatte Libretro
+	APP_PRODUCT_CODE     = RARCH-GAMBATTE
+	APP_UNIQUE_ID        = 0xBAC01
+	APP_ICON             = pkg/ctr/assets/gambatte.png
+	APP_BANNER           = pkg/ctr/assets/gambatte_banner.png
 
 else ifeq ($(LIBRETRO), genesis_plus_gx)
-	APP_TITLE           = Genesis Plus GX Libretro
-	APP_PRODUCT_CODE    = RARCH-GENPLUSGX
-	APP_UNIQUE_ID       = 0xBAC06
-	APP_ICON            = pkg/ctr/assets/genesis_plus_gx.png
-	APP_BANNER          = pkg/ctr/assets/genesis_plus_gx_banner.png
+	APP_TITLE            = Genesis Plus GX Libretro
+	APP_PRODUCT_CODE     = RARCH-GENPLUSGX
+	APP_UNIQUE_ID        = 0xBAC06
+	APP_ICON             = pkg/ctr/assets/genesis_plus_gx.png
+	APP_BANNER           = pkg/ctr/assets/genesis_plus_gx_banner.png
 
-else ifeq ($(LIBRETRO), mednafen_wswan)
-	APP_TITLE           = Mednafen wswan Libretro
-	APP_PRODUCT_CODE    = RARCH-M-WSWAN
-	APP_UNIQUE_ID       = 0xBAC08
-	APP_ICON            = pkg/ctr/assets/mednafen_wswan.png
-	APP_BANNER          = pkg/ctr/assets/mednafen_wswan_banner.png
+else ifeq ($(LIBRETRO), gpsp)
+	APP_TITLE            = gpSP Libretro
+	APP_PRODUCT_CODE     = RARCH-GPSP
+	APP_UNIQUE_ID        = 0xBAC02
+	APP_ICON             = pkg/ctr/assets/gpsp.png
+	APP_BANNER           = pkg/ctr/assets/gpsp_banner.png
+	APP_USE_SVCHAX       = 1
 
-else ifeq ($(LIBRETRO), mednafen_vb)
-	APP_TITLE           = Mednafen VB Libretro
-	APP_PRODUCT_CODE    = RARCH-M-VB
-	APP_UNIQUE_ID       = 0xBAC09
-	APP_ICON            = pkg/ctr/assets/mednafen_vb.png
-	APP_BANNER          = pkg/ctr/assets/mednafen_vb_banner.png
+else ifeq ($(LIBRETRO), gw)
+	APP_TITLE            = Game&Watch Libretro
+	APP_PRODUCT_CODE     = RARCH-GW
+	APP_UNIQUE_ID        = 0xBAC2D
+	APP_ICON             = pkg/ctr/assets/gw.png
+	APP_BANNER           = pkg/ctr/assets/gw_banner.png
+
+else ifeq ($(LIBRETRO), handy)
+	APP_TITLE            = Handy Libretro
+	APP_PRODUCT_CODE     = RARCH-HANDY
+	APP_UNIQUE_ID        = 0xBAC7C
+	APP_ICON             = pkg/ctr/assets/handy.png
+	APP_BANNER           = pkg/ctr/assets/handy_banner.png
+
+else ifeq ($(LIBRETRO), mame2000)
+	APP_TITLE            = MAME-2000
+	APP_PRODUCT_CODE     = RARCH-MAME2000
+	APP_UNIQUE_ID        = 0xBAC19
+	APP_ICON             = pkg/ctr/assets/mame2000.png
+	APP_BANNER           = pkg/ctr/assets/mame2000_banner.png
+	APP_BIG_TEXT_SECTION = 1
+
+else ifeq ($(LIBRETRO), mame2003)
+	APP_TITLE            = MAME-2003
+	APP_PRODUCT_CODE     = RARCH-MAME2003
+	APP_UNIQUE_ID        = 0xBAC18
+	APP_ICON             = pkg/ctr/assets/mame2003.png
+	APP_BANNER           = pkg/ctr/assets/mame2003_banner.png
+	APP_BIG_TEXT_SECTION = 1
+
+else ifeq ($(LIBRETRO), mednafen_pce_fast)
+	APP_TITLE            = Mednafen/Beetle PCE FAST
+	APP_AUTHOR           = Ryphecha
+	APP_PRODUCT_CODE     = RARCH-M-PCE-FAST
+	APP_UNIQUE_ID        = 0xBAC14
+	APP_ICON             = pkg/ctr/assets/mednafen_pce_fast.png
+	APP_BANNER           = pkg/ctr/assets/mednafen_pce_fast_banner.png
 
 else ifeq ($(LIBRETRO), mednafen_ngp)
-	APP_TITLE           = Mednafen NGP Libretro
-	APP_PRODUCT_CODE    = RARCH-M-NGP
-	APP_UNIQUE_ID       = 0xBAC0A
-	APP_ICON            = pkg/ctr/assets/mednafen_ngp.png
-	APP_BANNER          = pkg/ctr/assets/mednafen_ngp_banner.png
-
-else ifeq ($(LIBRETRO), 2048)
-	APP_TITLE           = 2048 Libretro
-	APP_PRODUCT_CODE    = RARCH-2048
-	APP_UNIQUE_ID       = 0xBAC0B
-	APP_ICON            = pkg/ctr/assets/2048.png
-	APP_BANNER          = pkg/ctr/assets/2048_banner.png
+	APP_TITLE            = Mednafen NGP Libretro
+	APP_PRODUCT_CODE     = RARCH-M-NGP
+	APP_UNIQUE_ID        = 0xBAC0A
+	APP_ICON             = pkg/ctr/assets/mednafen_ngp.png
+	APP_BANNER           = pkg/ctr/assets/mednafen_ngp_banner.png
 
-else ifeq ($(LIBRETRO), picodrive)
-	APP_TITLE           = Picodrive Libretro
-	APP_PRODUCT_CODE    = RARCH-PICODRIVE
-	APP_UNIQUE_ID       = 0xBAC0C
-	APP_ICON            = pkg/ctr/assets/picodrive.png
-	APP_BANNER          = pkg/ctr/assets/picodrive_banner.png
-	APP_USE_SVCHAX      = 1
+else ifeq ($(LIBRETRO), mednafen_wswan)
+	APP_TITLE            = Mednafen wswan Libretro
+	APP_PRODUCT_CODE     = RARCH-M-WSWAN
+	APP_UNIQUE_ID        = 0xBAC08
+	APP_ICON             = pkg/ctr/assets/mednafen_wswan.png
+	APP_BANNER           = pkg/ctr/assets/mednafen_wswan_banner.png
+
+else ifeq ($(LIBRETRO), mednafen_vb)
+	APP_TITLE            = Mednafen VB Libretro
+	APP_PRODUCT_CODE     = RARCH-M-VB
+	APP_UNIQUE_ID        = 0xBAC09
+	APP_ICON             = pkg/ctr/assets/mednafen_vb.png
+	APP_BANNER           = pkg/ctr/assets/mednafen_vb_banner.png
 
 else ifeq ($(LIBRETRO), mgba)
-	APP_TITLE           = mGBA Libretro
-	APP_AUTHOR          = Jeffrey Pfau
-	APP_PRODUCT_CODE    = RARCH-MGBA
-	APP_UNIQUE_ID       = 0xBAC0E
-	APP_ICON            = pkg/ctr/assets/mgba.png
-	APP_BANNER          = pkg/ctr/assets/mgba_banner.png
+	APP_TITLE            = mGBA Libretro
+	APP_AUTHOR           = Jeffrey Pfau
+	APP_PRODUCT_CODE     = RARCH-MGBA
+	APP_UNIQUE_ID        = 0xBAC0E
+	APP_ICON             = pkg/ctr/assets/mgba.png
+	APP_BANNER           = pkg/ctr/assets/mgba_banner.png
 
-else ifeq ($(LIBRETRO), quicknes)
-	APP_TITLE           = QuickNES Libretro
-	APP_AUTHOR          = blargg, kode54
-	APP_PRODUCT_CODE    = RARCH-QUICKNES
-	APP_UNIQUE_ID       = 0xBAC0F
-	APP_ICON            = pkg/ctr/assets/quicknes.png
-	APP_BANNER          = pkg/ctr/assets/quicknes_banner.png
+else ifeq ($(LIBRETRO), nekop2)
+	APP_TITLE            = Neko Project 2
+	APP_AUTHOR           = various
+	APP_PRODUCT_CODE     = RARCH-NP2
+	APP_UNIQUE_ID        = 0xBAC1C
+	APP_ICON             = pkg/ctr/assets/nekop2.png
+	APP_BANNER           = pkg/ctr/assets/nekop2_banner.png
 
-else ifeq ($(LIBRETRO), fbalpha2012)
-	APP_TITLE           = Final Burn Alpha 2012
-	APP_AUTHOR          = Team FB Alpha
-	APP_PRODUCT_CODE    = RARCH-FBA
-	APP_UNIQUE_ID       = 0xBAC17
-	APP_BIG_TEXT_SECTION = 1
-	APP_ICON            = pkg/ctr/assets/fbalpha2012.png
-	APP_BANNER          = pkg/ctr/assets/fbalpha2012_banner.png
+else ifeq ($(LIBRETRO), nestopia)
+	APP_TITLE            = Nestopia Libretro
+	APP_PRODUCT_CODE     = RARCH-NESTOPIA
+	APP_UNIQUE_ID        = 0xBAC04
+	APP_ICON             = pkg/ctr/assets/nestopia.png
+	APP_BANNER           = pkg/ctr/assets/nestopia_banner.png
 
-else ifeq ($(LIBRETRO), fbalpha2012_neogeo)
-	APP_TITLE           = Final Burn Alpha 2012 - NeoGeo
-	APP_AUTHOR          = Team FB Alpha
-	APP_PRODUCT_CODE    = RARCH-FBANEOGEO
-	APP_UNIQUE_ID       = 0xBAC10
-	APP_ICON            = pkg/ctr/assets/fbalpha2012_neogeo.png
-	APP_BANNER          = pkg/ctr/assets/fbalpha2012_neogeo_banner.png
-	APP_SYSTEM_MODE     = 80MB
+else ifeq ($(LIBRETRO), np2kai)
+	APP_TITLE            = Neko Project 2 Kai
+	APP_AUTHOR           = various
+	APP_PRODUCT_CODE     = RARCH-NP2KAI
+	APP_UNIQUE_ID        = 0xBAC1D
+	APP_ICON             = pkg/ctr/assets/np2kai.png
+	APP_BANNER           = pkg/ctr/assets/np2kai_banner.png
 
-else ifeq ($(LIBRETRO), fbalpha2012_cps1)
-	APP_TITLE           = Final Burn Alpha 2012 - CPS-1
-	APP_AUTHOR          = Team FB Alpha
-	APP_PRODUCT_CODE    = RARCH-FBACPS1
-	APP_UNIQUE_ID       = 0xBAC11
-	APP_ICON            = pkg/ctr/assets/fbalpha2012_cps1.png
-	APP_BANNER          = pkg/ctr/assets/fbalpha2012_cps1_banner.png
+else ifeq ($(LIBRETRO), nxengine)
+	APP_TITLE            = NXengine Libretro
+	APP_PRODUCT_CODE     = RARCH-NXENGINE
+	APP_UNIQUE_ID        = 0xBAC05
+	APP_ICON             = pkg/ctr/assets/nxengine.png
+	APP_BANNER           = pkg/ctr/assets/nxengine_banner.png
 
-else ifeq ($(LIBRETRO), fbalpha2012_cps2)
-	APP_TITLE           = Final Burn Alpha 2012 - CPS-2
-	APP_AUTHOR          = Team FB Alpha
-	APP_PRODUCT_CODE    = RARCH-FBACPS2
-	APP_UNIQUE_ID       = 0xBAC12
-	APP_ICON            = pkg/ctr/assets/fbalpha2012_cps2.png
-	APP_BANNER          = pkg/ctr/assets/fbalpha2012_cps2_banner.png
-	APP_SYSTEM_MODE     = 80MB
+else ifeq ($(LIBRETRO), pcsx_rearmed)
+	APP_TITLE            = PCSX ReARMed
+	APP_AUTHOR           = PCSX Team, notaz, Exophase
+	APP_PRODUCT_CODE     = RARCH-PCSXRARMD
+	APP_UNIQUE_ID        = 0xBAC15
+	APP_ICON             = pkg/ctr/assets/pcsx_rearmed.png
+	APP_BANNER           = pkg/ctr/assets/pcsx_rearmed_banner.png
+	APP_USE_SVCHAX       = 1
 
-else ifeq ($(LIBRETRO), mednafen_pce_fast)
-	APP_TITLE           = Mednafen/Beetle PCE FAST
-	APP_AUTHOR          = Ryphecha
-	APP_PRODUCT_CODE    = RARCH-M-PCE-FAST
-	APP_UNIQUE_ID       = 0xBAC14
-	APP_ICON            = pkg/ctr/assets/mednafen_pce_fast.png
-	APP_BANNER          = pkg/ctr/assets/mednafen_pce_fast_banner.png
+else ifeq ($(LIBRETRO), picodrive)
+	APP_TITLE            = Picodrive Libretro
+	APP_PRODUCT_CODE     = RARCH-PICODRIVE
+	APP_UNIQUE_ID        = 0xBAC0C
+	APP_ICON             = pkg/ctr/assets/picodrive.png
+	APP_BANNER           = pkg/ctr/assets/picodrive_banner.png
+	APP_USE_SVCHAX       = 1
 
-else ifeq ($(LIBRETRO), pcsx_rearmed)
-	APP_TITLE           = PCSX ReARMed
-	APP_AUTHOR          = PCSX Team, notaz, Exophase
-	APP_PRODUCT_CODE    = RARCH-PCSXRARMD
-	APP_UNIQUE_ID       = 0xBAC15
-	APP_ICON            = pkg/ctr/assets/pcsx_rearmed.png
-	APP_BANNER          = pkg/ctr/assets/pcsx_rearmed_banner.png
-	APP_USE_SVCHAX      = 1
+else ifeq ($(LIBRETRO), prosystem)
+	APP_TITLE            = ProSystem Libretro
+	APP_PRODUCT_CODE     = RARCH-PROSYSTEM
+	APP_UNIQUE_ID        = 0xBAC3C
+	APP_ICON             = pkg/ctr/assets/prosystem.png
+	APP_BANNER           = pkg/ctr/assets/prosystem_banner.png
 
-else ifeq ($(LIBRETRO), fmsx)
-	APP_TITLE           = fMSX
-	APP_AUTHOR          = Marat Fayzullin
-	APP_PRODUCT_CODE    = RARCH-FMSX
-	APP_UNIQUE_ID       = 0xBAC16
-	APP_ICON            = pkg/ctr/assets/fmsx.png
-	APP_BANNER          = pkg/ctr/assets/fmsx_banner.png
-	
-else ifeq ($(LIBRETRO), mame2000)
-	APP_TITLE           = MAME-2000
-	APP_PRODUCT_CODE    = RARCH-MAME2000
-	APP_UNIQUE_ID       = 0xBAC19
-	APP_ICON            = pkg/ctr/assets/mame2000.png
-	APP_BANNER          = pkg/ctr/assets/mame2000_banner.png
-	APP_BIG_TEXT_SECTION = 1
-	
-else ifeq ($(LIBRETRO), mame2003)
-	APP_TITLE           = MAME-2003
-	APP_PRODUCT_CODE    = RARCH-MAME2003
-	APP_UNIQUE_ID       = 0xBAC18
-	APP_ICON            = pkg/ctr/assets/mame2003.png
-	APP_BANNER          = pkg/ctr/assets/mame2003_banner.png
-	APP_BIG_TEXT_SECTION = 1
+else ifeq ($(LIBRETRO), quicknes)
+	APP_TITLE            = QuickNES Libretro
+	APP_AUTHOR           = blargg, kode54
+	APP_PRODUCT_CODE     = RARCH-QUICKNES
+	APP_UNIQUE_ID        = 0xBAC0F
+	APP_ICON             = pkg/ctr/assets/quicknes.png
+	APP_BANNER           = pkg/ctr/assets/quicknes_banner.png
 
 else ifeq ($(LIBRETRO), snes9x2002)
-	APP_TITLE           = Snes9x 2002
-	APP_AUTHOR          = various
-	APP_PRODUCT_CODE    = RARCH-POCKETSNES
-	APP_UNIQUE_ID       = 0xBAC1A
-	APP_ICON            = pkg/ctr/assets/snes9x2002.png
-	APP_BANNER          = pkg/ctr/assets/snes9x2002_banner.png
+	APP_TITLE            = Snes9x 2002
+	APP_AUTHOR           = various
+	APP_PRODUCT_CODE     = RARCH-POCKETSNES
+	APP_UNIQUE_ID        = 0xBAC1A
+	APP_ICON             = pkg/ctr/assets/snes9x2002.png
+	APP_BANNER           = pkg/ctr/assets/snes9x2002_banner.png
 
 else ifeq ($(LIBRETRO), snes9x2005)
-	APP_TITLE           = Snes9x 2005
-	APP_PRODUCT_CODE    = RARCH-CATSFC
-	APP_UNIQUE_ID       = 0xBAC07
-	APP_ICON            = pkg/ctr/assets/snes9x2005.png
-	APP_BANNER          = pkg/ctr/assets/snes9x2005_banner.png
+	APP_TITLE            = Snes9x 2005
+	APP_PRODUCT_CODE     = RARCH-CATSFC
+	APP_UNIQUE_ID        = 0xBAC07
+	APP_ICON             = pkg/ctr/assets/snes9x2005.png
+	APP_BANNER           = pkg/ctr/assets/snes9x2005_banner.png
 
 else ifeq ($(LIBRETRO), snes9x2005_plus)
-	APP_TITLE           = Snes9x 2005 Plus
-	APP_PRODUCT_CODE    = RARCH-CATSFCPLUS
-	APP_UNIQUE_ID       = 0xBAC13
-	APP_ICON            = pkg/ctr/assets/snes9x2005_plus.png
-	APP_BANNER          = pkg/ctr/assets/snes9x2005_plus_banner.png
+	APP_TITLE            = Snes9x 2005 Plus
+	APP_PRODUCT_CODE     = RARCH-CATSFCPLUS
+	APP_UNIQUE_ID        = 0xBAC13
+	APP_ICON             = pkg/ctr/assets/snes9x2005_plus.png
+	APP_BANNER           = pkg/ctr/assets/snes9x2005_plus_banner.png
 
 else ifeq ($(LIBRETRO), snes9x2010)
-	APP_TITLE           = Snes9x 2010
-	APP_PRODUCT_CODE    = RARCH-SNES9XNEXT
-	APP_UNIQUE_ID       = 0xBAC0D
-	APP_ICON            = pkg/ctr/assets/snes9x2010.png
-	APP_BANNER          = pkg/ctr/assets/snes9x2010_banner.png
-
-else ifeq ($(LIBRETRO), dosbox)
-	APP_TITLE           = DosBox
-	APP_AUTHOR          = various
-	APP_PRODUCT_CODE    = RARCH-DOSBOX
-	APP_UNIQUE_ID       = 0xBAC1B
-	APP_ICON            = pkg/ctr/assets/dosbox.png
-	APP_BANNER          = pkg/ctr/assets/dosbox_banner.png
-
-else ifeq ($(LIBRETRO), nekop2)
-   APP_TITLE           = Neko Project 2
-   APP_AUTHOR          = various
-   APP_PRODUCT_CODE    = RARCH-NP2
-   APP_UNIQUE_ID       = 0xBAC1C
-   APP_ICON            = pkg/ctr/assets/nekop2.png
-   APP_BANNER          = pkg/ctr/assets/nekop2_banner.png
+	APP_TITLE            = Snes9x 2010
+	APP_PRODUCT_CODE     = RARCH-SNES9XNEXT
+	APP_UNIQUE_ID        = 0xBAC0D
+	APP_ICON             = pkg/ctr/assets/snes9x2010.png
+	APP_BANNER           = pkg/ctr/assets/snes9x2010_banner.png
 
-else ifeq ($(LIBRETRO), np2kai)
-   APP_TITLE           = Neko Project 2 Kai
-   APP_AUTHOR          = various
-   APP_PRODUCT_CODE    = RARCH-NP2KAI
-   APP_UNIQUE_ID       = 0xBAC1D
-   APP_ICON            = pkg/ctr/assets/np2kai.png
-   APP_BANNER          = pkg/ctr/assets/np2kai_banner.png
-
-else ifeq ($(LIBRETRO), 81)
-   APP_TITLE           = lr-81
-   APP_AUTHOR          = various
-   APP_PRODUCT_CODE    = RARCH-81
-   APP_UNIQUE_ID       = 0xBAC1E
-   APP_ICON            = pkg/ctr/assets/81.png
-   APP_BANNER          = pkg/ctr/assets/81_banner.png
-
-else ifeq ($(LIBRETRO), fuse)
-   APP_TITLE           = Fuse
-   APP_AUTHOR          = various
-   APP_PRODUCT_CODE    = RARCH-FUSE
-   APP_UNIQUE_ID       = 0xBAC1F
-   APP_ICON            = pkg/ctr/assets/fuse.png
-   APP_BANNER          = pkg/ctr/assets/fuse_banner.png
-   
 else ifeq ($(LIBRETRO), stella)
-	APP_TITLE           = Stella Libretro
-	APP_PRODUCT_CODE    = RARCH-STELLA
-	APP_UNIQUE_ID       = 0xBAC2C
-	APP_ICON            = pkg/ctr/assets/stella.png
-	APP_BANNER          = pkg/ctr/assets/stella_banner.png
-	
-else ifeq ($(LIBRETRO), prosystem)
-	APP_TITLE           = ProSystem Libretro
-	APP_PRODUCT_CODE    = RARCH-PROSYSTEM
-	APP_UNIQUE_ID       = 0xBAC3C
-	APP_ICON            = pkg/ctr/assets/prosystem.png
-	APP_BANNER          = pkg/ctr/assets/prosystem_banner.png
-	
-else ifeq ($(LIBRETRO), gw)
-	APP_TITLE           = Game&Watch Libretro
-	APP_PRODUCT_CODE    = RARCH-GW
-	APP_UNIQUE_ID       = 0xBAC2D
-	APP_ICON            = pkg/ctr/assets/gw.png
-	APP_BANNER          = pkg/ctr/assets/gw_banner.png
-	
-else ifeq ($(LIBRETRO), handy)
-	APP_TITLE           = Handy Libretro
-	APP_PRODUCT_CODE    = RARCH-HANDY
-	APP_UNIQUE_ID       = 0xBAC7C
-	APP_ICON            = pkg/ctr/assets/handy.png
-	APP_BANNER          = pkg/ctr/assets/handy_banner.png
+	APP_TITLE            = Stella Libretro
+	APP_PRODUCT_CODE     = RARCH-STELLA
+	APP_UNIQUE_ID        = 0xBAC2C
+	APP_ICON             = pkg/ctr/assets/stella.png
+	APP_BANNER           = pkg/ctr/assets/stella_banner.png
 
-endif
+endif
